Security Experts:

Exploit Kits Leverage Vulnerability One Week After Patch

An exploit for a Flash Player vulnerability patched recently by Adobe has already been integrated into at least two exploit kits, security firms reported.

On March 12, Adobe released security updates to fix a total of eleven Flash Player vulnerabilities, including a type confusion bug that can lead to remote code execution (CVE-2015-0336). On March 18, several security firms noticed that an exploit for the bug had been integrated into the Nuclear exploit kit. Roughly two days later, the Angler exploit kit was also seen using the same exploit.

Adobe has confirmed that the recently patched vulnerability is being exploited in the wild.

According to Trend Micro, the attackers have distributed the exploit (SWF_EXPLOIT.OJF) through various compromised websites, including adult sites from Japan. As of March 20, one of the malicious pages monitored by the security company had been visited 8,700 times, mostly from Japan.

In an effort to make it more difficult for researcher to analyze the exploit, malware authors have packed it with secureSWF, a legitimate application designed for protecting, encrypting and optimizing SWF files.

“The Flash file (SWF) contains 3 layers. The outer layer is an obfuscated packer whose sole purpose is to hide the exploit. SecureSWF was used to obfuscate at least one of the first two layers, possibly both,” FireEye researchers explained in a blog post.

Malwarebytes documented the activities of the threat group using Nuclear EK, dubbed “EITest,” back in October 2014. At the time, the cybercriminals leveraged compromised websites, the “us.to” URL shortening service, and the Angler exploit kit with Internet Explorer and Flash Player exploits to infect computers. Now, their modus operandi is the same, but they are using the Nuclear exploit kit with the newly patched Flash Player exploit.

This isn’t the first time an exploit for a Flash Player vulnerability is integrated into an exploit kit shortly after a fix is released. However, the time it takes malicious actors to develop an exploit is getting shorter. That is why it’s becoming increasingly important to ensure that security updates are applied as soon as possible.

“We know that in some cases consumers but most likely businesses cannot always apply patches right away. Many times they need to do some internal testing to make sure the patch does not break some of their processes,” Jerome Segura, senior security researcher from Malwarebytes Labs, explained in a blog post. “Such systems should ideally be sandboxed from the rest of the network or be running anti-exploit software designed to block known and unknown exploits.”

Exploits for patched Flash Player bugs are not the only problem. Over the past few months, cybercriminals have also uncovered several Flash Player zero-day vulnerabilities that they have leveraged to distribute malware.

view counter
Eduard Kovacs is an international correspondent for SecurityWeek. He worked as a high school IT teacher for two years before starting a career in journalism as Softpedia’s security news reporter. Eduard holds a bachelor’s degree in industrial informatics and a master’s degree in computer techniques applied in electrical engineering.